Bug 92059 - gcc internal error when compiling buggy code using std::make_pair
gcc internal error when compiling buggy code using std::make_pair
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc3 (Show other bugs)
8.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-02 07:40 EDT by Ghislain Lemaur
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-17 14:43:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ghislain Lemaur 2003-06-02 07:40:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
internal error when compiling the following code.
Note that the code should not compile,
the comparison is done on different types.

#include <map>

int main(){
   std::make_pair<int, float>(2,.5) == 2;
   return 0;
}

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Type the above code in bug.cpp
2. gcc bug.cpp
    

Actual Results:  bug.cpp: Dans function « int main() »:
bug.cpp:4: no match pour l'opérateur «
erreur interne de compilateur: erreur pour rapporter une routine ré-entée
SVP soumettre un rapport complet d'anomalies,
avec le source pré-traité si cela est approprié.
Consulter <URL:http://bugzilla.redhat.com/bugzilla/> pour les instructions.


Additional info:
Comment 1 Jakub Jelinek 2003-06-17 14:43:04 EDT
French translation bug, fixed with:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/po/fr.po.diff?cvsroot=gcc&only_with_tag=gcc-3_2-rhl8-branch&r1=1.3.2.2&r2=1.3.2.2.8.1
gcc-3.3-7 in rawhide does not have this problem either.

Note You need to log in before you can comment on or make changes to this bug.